/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package RelMgmt.PartyRole;

import java.util.Vector;
import java.math.BigDecimal;

/** 
 * @author TogetherSoft
 * @stereotype role */
public class SupplierAsSource extends RelMgmt.Party.PartyRole {
    public BigDecimal calcTotalPurchasesYTD() {
        return new BigDecimal(0);
    }

    public BigDecimal calcTotalPurchasedPriorYTD() {
        return new BigDecimal(0);
    }

    public int countLateDeliveries() {
        return 0;
    }

    public int rateReliability() {
        return 0;
    }

    public int rateOnTimePerformance() {
        return 0;
    }

    public Vector listPendingOrders() {
        return new Vector();
    }

    private int performanceRating;
    private Vector pendingOrders;
    private BigDecimal revenueYTD;
    private BigDecimal revenuePriorYear;
}


